Debian Bug report logs - #544475
dma: generated message ID very short and prone to duplicates

version graph

Package: dma; Maintainer for dma is Arno Töll <arno@debian.org>; Source for dma is src:dma.

Reported by: Tino Keitel <tino.keitel+debbugs@tikei.de>

Date: Mon, 31 Aug 2009 21:15:15 UTC

Severity: normal

Found in version dma/0.0.2009.07.17-1

Fixed in version dma/0.0.2009.07.17-2

Done: Peter Pentchev <roam@ringlet.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#544475; Package dma. (Mon, 31 Aug 2009 21:15:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tino Keitel <tino.keitel+debbugs@tikei.de>:
New Bug report received and forwarded. Copy sent to Peter Pentchev <roam@ringlet.net>. (Mon, 31 Aug 2009 21:15:20 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tino Keitel <tino.keitel+debbugs@tikei.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dma: generated message ID very short and prone to duplicates
Date: Mon, 31 Aug 2009 22:59:26 +0200
Package: dma
Version: 0.0.2009.07.17-1
Severity: normal

Hi,

I created some test mails using mailx, and saw that some of them have the
same message ID:

Date: Mon, 31 Aug 2009 22:11:14 +0200                                           
Message-Id: <80a56a@mac.home>

Date: Mon, 31 Aug 2009 22:12:00 +0200                                           
Message-Id: <80a56a@mac.home>

This already happened after only 5 mails.

Regards,
Tino

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-rc8-00015-gadda766-dirty (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages dma depends on:
ii  debconf [debconf-2.0]         1.5.27     Debian configuration management sy
ii  libc6                         2.9-25     GNU C Library: Shared libraries
ii  liblockfile1                  1.08-3     NFS-safe locking library, includes
ii  libssl0.9.8                   0.9.8k-4   SSL shared libraries

Versions of packages dma recommends:
ii  safecat                       1.12-1     safely copy stdin to a file

dma suggests no packages.

-- debconf information:
* dma/mailname: mac.home
* dma/relayhost: eazy.amigager.de
* dma/dbounceprog: dbounce-simple-safecat




Reply sent to Peter Pentchev <roam@ringlet.net>:
You have taken responsibility. (Tue, 01 Sep 2009 12:00:40 GMT) Full text and rfc822 format available.

Notification sent to Tino Keitel <tino.keitel+debbugs@tikei.de>:
Bug acknowledged by developer. (Tue, 01 Sep 2009 12:00:40 GMT) Full text and rfc822 format available.

Message #10 received at 544475-close@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: 544475-close@bugs.debian.org
Subject: Bug#544475: fixed in dma 0.0.2009.07.17-2
Date: Tue, 01 Sep 2009 11:47:05 +0000
Source: dma
Source-Version: 0.0.2009.07.17-2

We believe that the bug you reported is fixed in the latest version of
dma, which is due to be installed in the Debian FTP archive:

dma_0.0.2009.07.17-2.diff.gz
  to pool/main/d/dma/dma_0.0.2009.07.17-2.diff.gz
dma_0.0.2009.07.17-2.dsc
  to pool/main/d/dma/dma_0.0.2009.07.17-2.dsc
dma_0.0.2009.07.17-2_amd64.deb
  to pool/main/d/dma/dma_0.0.2009.07.17-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 544475@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Pentchev <roam@ringlet.net> (supplier of updated dma package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 01 Sep 2009 13:36:33 +0300
Source: dma
Binary: dma
Architecture: source amd64
Version: 0.0.2009.07.17-2
Distribution: unstable
Urgency: low
Maintainer: Peter Pentchev <roam@ringlet.net>
Changed-By: Peter Pentchev <roam@ringlet.net>
Description: 
 dma        - lightweight mail transport agent
Closes: 544357 544475
Changes: 
 dma (0.0.2009.07.17-2) unstable; urgency=low
 .
   * Allow the spool directory to live on a filesystem that does not
     set the d_type member of the dirent structure, like XFS.
     Closes: #544357
   * Randomize the Message-Id a bit more.  Closes: #544475
   * Bump Standards-Version to 3.8.3 with no changes.
   * Only enable the build hardening wrapper if the "hardening" build
     option is specified.
   * Switch the copyright file header from the Wiki to DEP 5.
   * Remove the manual page ".Dx" patch - the groff version in Squeeze
     knows about the .Dx mdoc macro.  Add a lintian override for
     the "Unknown DragonFly version" error.
   * Convert the patch file headers to the DEP 3 format.
Checksums-Sha1: 
 52354a977924630a1a6aac2e7d2b8883140ff626 1935 dma_0.0.2009.07.17-2.dsc
 8de4e5c298af81ee1df9a520c9f72f379c25ac1f 21015 dma_0.0.2009.07.17.orig.tar.gz
 52d44a6786d0ec38125f1162c69055d8bc4c8495 23309 dma_0.0.2009.07.17-2.diff.gz
 eeb1156a1a2b3cb9592f1d8d8ffc3ea2828166c3 44328 dma_0.0.2009.07.17-2_amd64.deb
Checksums-Sha256: 
 e12d1e0efa9d2217806fe00329bdbce85bd2922f5e88d9a773720571eb870203 1935 dma_0.0.2009.07.17-2.dsc
 b1f3410c2758e8cc394c52c6a0afcfd397452d0a42340d7ff67db1a522912544 21015 dma_0.0.2009.07.17.orig.tar.gz
 568cba821e145115a475d96b13ac48af1aba780e02711c9e4835d43d5467a106 23309 dma_0.0.2009.07.17-2.diff.gz
 52e9dfff41545c6f98764f8d77a6a708480bbda963bf74f537e9c20e917ecf62 44328 dma_0.0.2009.07.17-2_amd64.deb
Files: 
 5b9a4e7fd444f9a4782a0ee1b36909b6 1935 mail optional dma_0.0.2009.07.17-2.dsc
 9c4efb735a1e8f96249f36269bbcc277 21015 mail optional dma_0.0.2009.07.17.orig.tar.gz
 12d949d4b956b7867e78d8417d518ab5 23309 mail optional dma_0.0.2009.07.17-2.diff.gz
 9a72a4251a9563031b117411fd7ed877 44328 mail optional dma_0.0.2009.07.17-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQIcBAEBAgAGBQJKnQZMAAoJEBxXDIkOS9CrAQIP/23v4VomHmduHMpRw7mmHKrN
V1Xu4jKPI61EODkRANOoqqiUVuTf2wQAN6pHyg3FgG403JKJPOSCvRO9xSet8W+B
Jp3GKbD+u7L/FcspYu8KU+DwakSzUmgyuFwfLhQ+bDS+0wcaoI8HgjyBzhgIHrzT
j/et9IMpTd0BjvjyLvbNUQ+Odh8MSsIMxaf+AvQ5DGy3tAypLr1mFRgPiJi1074+
qn9tu/BmC/7rvAgJ5DwDkWhCqQVJ1UJo7lf2Ebt6VyLogD3dfO10bJYy/HKDqiAG
Z/TWyNiEaa29EZ6miBqWosT16C6GhcfXfaDQA7CyKNZLYgYq5NnLfmAbkOGY2VpC
vHA97N9vx6GxTv5zG45bZ29WS/8cLiWoyjOqoN/t4UMfxoDKatntcEvpiQpWFVfa
c9xNOasmBJnsXtRy/Z5CGebfJhLAKaSu7l+DdKTGm4peFOOBTaKXa3XMwE+LeliC
kGL1INwlSpqpgS8co9fIf70GeqPjYzp7uRs+iXjm6xSQcmSnN+Gipix8pX2NyrBw
9YsViItttex9o6ZPpbZ5ydgS2pCnsfL16zrWxWeNJ9kFjWUKAzCO38sgmdUYkkfB
r9xCfX4S01JowfnXZC8fMYFOgGGQon4F6eT735/iMB3ZmEJEQeYUB2SpkCYvhMb5
Kj5xUdkpc4SY4aazsoRF
=nSjV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 10 Oct 2009 07:37:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:04:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.